{% extends "Docentes/Intranet/index_intranet_curso.html" %}
{% load i18n admin_static admin_list %}

{% block extrastyle1 %}
<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/redmond/jquery-ui-1.8.2.custom.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/ui.jqgrid.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/ui.multiselect.css' %}" />

<script src="{% static 'custom/js/jqgrid/js/jquery.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery-ui-1.8.2.custom.min.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.layout.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/i18n/grid.locale-sp.js' %}" type="text/javascript"></script>

<script src="{% static 'custom/js/jqgrid/js/jquery.jqGrid.min.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.tablednd.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.contextmenu.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/ui.multiselect.js' %}" type="text/javascript"></script>

{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="">
        <form class="">
        <h3>{% trans 'Fórmula de Calificación' %}</h3>
        
        {% if periodocurso.EditarFormula %}
            <!-- grid para administrar formulas de calificacion -->
            <table id="subgrid_notas"></table>
            <div id="pagernav"></div>
            <input type="hidden" id="grid_periodocurso" value="{{ periodocurso.id }}"/>

            <input type="hidden" id="grid_perms_add" value="{{ perms.Notas.add_nota }}"/>
            <input type="hidden" id="grid_perms_change" value="{{ perms.Notas.change_nota }}"/>
            <input type="hidden" id="grid_perms_delete" value="{{ perms.Notas.delete_nota }}"/>
            <input type="hidden" id="nivel_cero" value="{{ nivel_cero }}"/>

            <script src="{% static 'custom/js/jqgrid/subgrid_intranet_notas2.js' %}" type="text/javascript"> </script>
      {% else %}
          <div class="alert alert-info">
            <strong>La edición de calificaciones ha sido deshabilitada<strong>
          </div>
      {% endif %}
        </form>
        <!-- ITEMS DE CALIFICACION Y NOTAS -->                        
        <div class="row-fluid">

        <div class="span6 well">
            <ul class="nav nav-list">
                <h3>{% trans 'Fórmulas de Calificación' %}</h3>
                <li class="divider"></li>
                {% for formula in formulas %}
                    <li><i class="icon-chevron-right"></i> <span>{{ formula }}</span></li>
                {% endfor %}
            </ul>                   
        </div>

        <div class="span6 well">
            <ul class="nav nav-list">
                <h3>{% trans 'Items de Calificación' %}</h3>
                <li class="divider"></li>
                {% for nota in notas %}
                    <li><i class="icon-chevron-right"></i> <span class="label label-info">{{ nota.Identificador }}</span> : <span>"{{ nota.Nota }}"</span></li>
                {% endfor %}
            </ul>                   
        </div>
       
        </div>
        <!-- / ITEMS DE CALIFICACION Y NOTAS -->
    </div>
    
</div>
{% endblock %}
